package main

import (
	"embed"
	"fmt"
	"html/template"
	"os"
)


//go:embed assets/*
var assetData embed.FS

func main() {

	t, err := template.ParseFS(assetData, "assets/report.html")
	if err != nil {
		fmt.Println(err)
	}
	templateData := struct {
		Title string
	}{
		Title: "File inside Go",
	}
	t.Execute(os.Stdout, templateData)
}
